Package com.mouseviator.fsuipc.helpers

# Class LVarHelper.LVarResult

java.lang.Object
com.mouseviator.fsuipc.helpers.LVarHelper.LVarResult

Enclosing class:
  LVarHelper

    public static class LVarHelper.LVarResult
    extends java.lang.Object

A class representing a result fo many Lvar helper functions in the class `LVarHelper`. Reading/writing to/creating an Lvar requires 3 data requests. One request to tell FSUIPC what to do with what Lvar - the `getControlRequest()`, one request which is parameter fro the control request - the `getParamRequest()` and the last one, which tells FSUIPC where to store the read result or where to find the value to write to the Lvar, or initialize the new one with - the `getResultRequest()`. This class is just an wrapper to return all of them from one function.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LVarResult()` | Construts new uninitialzed LVarResult.
  `LVarResult​(LVarHelper.LVarControlRequest controlRequest, LVarHelper.LVarParamRequest paramRequest, IDataRequest resultRequest)` | Constructs new LVarResult with reference to the data requests for Lvar manipulation.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `LVarHelper.LVarControlRequest` | `getControlRequest()` |
  `LVarHelper.LVarParamRequest` | `getParamRequest()` |
  `IDataRequest` | `getResultRequest()` |
  `void` | `setControlRequest​(LVarHelper.LVarControlRequest controlRequest)` | Sets the control request.
  `void` | `setParamRequest​(LVarHelper.LVarParamRequest paramRequest)` | Sets the parameter request.
  `void` | `setResultRequest​(IDataRequest resultRequest)` | Sets the result request.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LVarResult

    public LVarResult()
    Construts new uninitialzed LVarResult.

  - ### LVarResult

    public LVarResult​(LVarHelper.LVarControlRequest controlRequest, LVarHelper.LVarParamRequest paramRequest, IDataRequest resultRequest)
    Constructs new LVarResult with reference to the data requests for Lvar manipulation.
    Parameters:
      `controlRequest` - A control request telling FSUIPC what to do whit what Lvar.
      `paramRequest` - A parameter data request for the control request.
      `resultRequest` - A request to read the result fo read, or holding the value for writing to/creating an Lvar.

- ## Method Details

  - ### getParamRequest

    public LVarHelper.LVarParamRequest getParamRequest()
    Returns:
      The parameter request.

  - ### setParamRequest

    public void setParamRequest​(LVarHelper.LVarParamRequest paramRequest)
    Sets the parameter request.
    Parameters:
      `paramRequest` - The parameter request to set.

  - ### getControlRequest

    public LVarHelper.LVarControlRequest getControlRequest()
    Returns:
      The control request.

  - ### setControlRequest

    public void setControlRequest​(LVarHelper.LVarControlRequest controlRequest)
    Sets the control request.
    Parameters:
      `controlRequest` - The control request to set.

  - ### getResultRequest

    public IDataRequest getResultRequest()
    Returns:
      The result request.

  - ### setResultRequest

    public void setResultRequest​(IDataRequest resultRequest)
    Sets the result request.
    Parameters:
      `resultRequest` - The result request.